Bug 755176 (ghc-mwc-random) - Review Request: ghc-mwc-random - Pseudo random number generation library for Haskell
Summary: Review Request: ghc-mwc-random - Pseudo random number generation library for ...
Keywords:
Status: CLOSED ERRATA
Alias: ghc-mwc-random
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ghc-snap-core
TreeView+ depends on / blocked
 
Reported: 2011-11-19 11:02 UTC by Narasimhan
Modified: 2011-12-16 19:52 UTC (History)
3 users (show)

Fixed In Version: ghc-mwc-random-0.10.0.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-16 19:51:06 UTC
Type: ---
petersen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Narasimhan 2011-11-19 11:02:42 UTC
Spec file:
http://narasim.fedorapeople.org/package_reviews/ghc-mwc-random.spec

SRPM link : 
http://narasim.fedorapeople.org/package_reviews/ghc-mwc-random-0.10.0.1-1.fc15.src.rpm

rpmlint  -i *.rpm ghc-mwc-random.spec 
ghc-mwc-random.src: W: spelling-error %description -l en_US mersenne -> Mennen
The value of this tag appears to be misspelled. Please double-check.

ghc-mwc-random.x86_64: W: spelling-error %description -l en_US mersenne -> Mennen
The value of this tag appears to be misspelled. Please double-check.

ghc-mwc-random-devel.x86_64: W: spelling-error %description -l en_US mersenne -> Mennen
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.

Comment 1 Jens Petersen 2011-11-21 04:42:38 UTC
I think it is better not to indent the description.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3528845

Comment 2 Jens Petersen 2011-11-23 13:00:37 UTC
Here is the review:

 +:ok, NA: not applicable

MUST Items:
[+] MUST: rpmlint output [1]

ghc-mwc-random.src: W: spelling-error %description -l en_US mersenne -> Mennen
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-mwc-random.x86_64: W: spelling-error %description -l en_US mersenne -> Mennen
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-mwc-random-devel.x86_64: W: spelling-error %description -l en_US mersenne -> Mennen
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[+] MUST: package named according to Package Naming Guidelines
[+] MUST: spec file name must match base package %{name} [2]
[+] MUST: meet Packaging Guidelines
[+] MUST: Fedora approved license and Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license. [3]
[+] MUST: include license files in %doc if available in source [4]
[+] MUST: The spec file must be written in American English [5] and legible. [6]
[+] MUST: source md5sum matches upstream release (from upstream URL)

1eb10b9bb760e587a4827cf8e4309ce3  mwc-random-0.10.0.1.tar.gz

[+] MUST: successfully compile and build into binary rpms on a primary arch [7]

[NA] MUST: if necessary use ExcludeArch for other archs [8]
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations [9]
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries. [11]
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review [12]
[+] MUST: A package must own all directories that it creates. [13]
[+] MUST: A package must not contain any duplicate files in the %files listing. [14]
[+] MUST: Permissions on files must be set properly. [15]
[+] MUST: consistently use macros [16]
[+] MUST: The package must contain code, or permissable content. [17]
[NA] MUST: Large documentation files should go in a doc subpackage. [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. [18]
[+] MUST: Header files must be in a -devel package. [19]
[NA] MUST: Static libraries must be in a -static package. [20]
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency [21]
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec. [20]
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

SHOULD Items:
[+] SHOULD: If upstream source does not include license text file(s), the packager SHOULD query upstream to include it. [25]
[NA] SHOULD: include description and summary translations for supported Non-English languages, if available. [26]
[+] SHOULD: The reviewer should test that the package builds in mock. [27]
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. [29]

Package is APPROVED.


You can normalize the indentation of the description before building please.

Comment 3 Narasimhan 2011-11-26 05:19:30 UTC
>You can normalize the indentation of the description before building please.
Yes. Will do that.

Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-mwc-random
Short Description: Pseudo random number generation library for Haskell 
Owners: narasim
Branches: f16 f15
InitialCC: haskell-sig

Comment 4 Gwyn Ciesla 2011-11-27 22:07:32 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-12-03 04:04:34 UTC
ghc-mwc-random-0.10.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-mwc-random-0.10.0.1-1.fc15

Comment 6 Fedora Update System 2011-12-03 04:04:43 UTC
ghc-mwc-random-0.10.0.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-mwc-random-0.10.0.1-1.fc16

Comment 7 Fedora Update System 2011-12-05 00:22:47 UTC
ghc-mwc-random-0.10.0.1-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 8 Fedora Update System 2011-12-16 19:51:06 UTC
ghc-mwc-random-0.10.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 9 Fedora Update System 2011-12-16 19:52:06 UTC
ghc-mwc-random-0.10.0.1-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.